<!--=== transport-file ===-->

<!ELEMENT transport-file (file-meta-data, list-terror)>

<!ELEMENT file-meta-data (file-name , file-date, file-time, id-key, file-signature, time-signature?,  app-version?)>

<!ELEMENT file-name (#PCDATA)>

<!ELEMENT file-date (#PCDATA)>

<!ELEMENT file-time (#PCDATA)>

<!ELEMENT id-key (#PCDATA)>

<!ELEMENT file-signature (#PCDATA)>
<!ELEMENT time-signature (#PCDATA)>

<!ELEMENT app-version (#PCDATA)>

 

<!--=== list-terror ===-->

 

<!ELEMENT list-terror (count-record, ver-list, date-ver-list, type-list, acount-list+)>

<!ELEMENT count-record (#PCDATA)>

<!ELEMENT ver-list (#PCDATA)>

<!ELEMENT date-ver-list (#PCDATA)>

<!ELEMENT type-list (#PCDATA)>

 

<!ELEMENT acount-list (number-entry, date-entry, type-record,type-entry, program-entry+, aka-list*, 

                  date-of-birth-list*, place-of-birth-list*, citizenchip-list*, nationality-list*, 

                  designation-list*, working-list*, title-list*, document-list*, id-number-list*, 

                  address-list*, noted-on-conviction?, noted-on-prosecution?, comments?,comments-record?,

                  noted-off-list?, bank-list*)>

 

<!ELEMENT number-entry (#PCDATA)>

<!ELEMENT date-entry (#PCDATA)>

<!ELEMENT type-record (#PCDATA)>

<!ELEMENT type-entry (#PCDATA)>

<!ELEMENT program-entry (#PCDATA)>

<!ELEMENT date-of-birth-list (#PCDATA)>

<!ELEMENT place-of-birth-list (#PCDATA)>

<!ELEMENT citizenchip-list (#PCDATA)>

<!ELEMENT nationality-list (#PCDATA)>

<!ELEMENT designation-list (#PCDATA)>

<!ELEMENT working-list (#PCDATA)>

<!ELEMENT title-list (#PCDATA)>

<!ELEMENT id-number-list (#PCDATA)>

<!ELEMENT noted-on-conviction (#PCDATA)>

<!ELEMENT noted-on-prosecution (#PCDATA)>

<!ELEMENT comments (#PCDATA)>

<!ELEMENT comments-record (#PCDATA)>

<!ELEMENT noted-off-list (#PCDATA)>

 

 

<!ELEMENT aka-list (aka-name1, aka-name2?, aka-name3?, aka-name4?, type-aka, category-aka?, quality-aka?)>

<!ELEMENT aka-name1 (#PCDATA)>

<!ELEMENT aka-name2 (#PCDATA)>

<!ELEMENT aka-name3 (#PCDATA)>

<!ELEMENT aka-name4 (#PCDATA)>

<!ELEMENT type-aka (#PCDATA)>

<!ELEMENT category-aka (#PCDATA)>

<!ELEMENT quality-aka (#PCDATA)>

 

<!ELEMENT document-list (document-id?, document-date?, document-country?, code-document-country?, document-reg?)>

<!ELEMENT document-id (#PCDATA)>

<!ELEMENT document-date (#PCDATA)>

<!ELEMENT document-country (#PCDATA)>

<!ELEMENT code-document-country (#PCDATA)>

<!ELEMENT document-reg (#PCDATA)>
 

<!ELEMENT address-list (country?, country-code?, postal-code?, state-province?, city?, address1?, address2?, address3?, address?)>

<!ELEMENT country (#PCDATA)>

<!ELEMENT country-code (#PCDATA)>

<!ELEMENT postal-code (#PCDATA)>

<!ELEMENT state-province (#PCDATA)>

<!ELEMENT city (#PCDATA)>

<!ELEMENT address1 (#PCDATA)>

<!ELEMENT address2 (#PCDATA)>

<!ELEMENT address3 (#PCDATA)>

<!ELEMENT address (#PCDATA)>



<!ELEMENT bank-list (bank-inf?, bank-count?)>

<!ELEMENT bank-inf (#PCDATA)>

<!ELEMENT bank-count (#PCDATA)>
